<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Framework\DTO;
use Teknisa\MAN\Services;
use Teknisa\MAN\Services\RelVendasPorHorarioService;
use Teknisa\MAN\Utilities;

class RelVendasPorHorario {
    
    protected $relVendasPorHorarioService;
    protected $util;

    public function __construct (Utilities\Util $util,  Services\RelVendasPorHorarioService $relVendasPorHorarioService){
        $this->utilService = $util;
        $this->reportService = $relVendasPorHorarioService;
    }
    
    public function findReport(DTO\Request\Filter $request, DTO\Response $response) {
        $return = [];
        $conditions = $this->utilService->getParamsAsArray($request);
        ini_set('max_execution_time', 1800);
		ini_set('memory_limit', '512M');
        if(isset($conditions['DTENTRVENDA']) && !empty($conditions['DTENTRVENDA'])) {
          $return = $this->reportService->getData($conditions);
        }
        
        $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('orm00023_relVendasPorHorario', $return));
    }
    
}