<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Factories\GeralFilialRepository;

class GeralFilialService {

	protected $geralFilialRepository;

	public function __construct(GeralFilialRepository $geralFilialRepository) {
        $this->geralFilialRepository = $geralFilialRepository;
    }	

	public function mountQuery($object) {	
		if($object['TYPE'] == "INSERT"){
			$column = "";
			$param = "";
			foreach ($object['FIELDSTOSAVE'] as $key => $value) {
				$column = $column.$key;
				$param = $param."'".$value."'";
				if ($key != key(array_slice($object['FIELDSTOSAVE'], -1, 1, TRUE))){
					$column = $column.", ";
					$param = $param.", ";
				}
				else {
					$column = $column.", DTINCLUSAO";
					$param = $param.", SYSDATE";
				}
			}
			return "INSERT INTO ".$object['TABLE']." (".$column.") VALUES (".$param.")";
		}
		elseif($object['TYPE'] == "FILTER"){
			$tableName = $object['TABLE'];	
			$pktable = $object['PKTABLE'];
			$whereQuery = $object['WHERE'];
	        $selectQuery = $object['ADDSELECT'];
	        $researchTreatment = $object['TREATMENT'];

	        // monta a query para filtar na tela principal
	     	$queryFilter = "SELECT DISTINCT "; 
			$querySelect1 = "";
			$querySelect2 = "";
			$querySelect2_1 = "";
			$querySelect3 = "";
	     	foreach ($selectQuery as $nameColumn) {
	     		if ($nameColumn != $pktable){
	     			$querySelect1 = $querySelect1." RELT.".$nameColumn." AS ".$nameColumn.", ";
	     		} else {
	     			$querySelect1 = $querySelect1." DECODE(NVL(RELT.CDLOJA,'ISRELACIONAMENTO'),'ISRELACIONAMENTO',RELT.".$pktable.",0) ".$pktable.", ";
	     		}
	     		if ($researchTreatment != []){
	     			if($nameColumn != $pktable){
	     				$querySelect2_1 = $querySelect2_1." RT.".$nameColumn." AS ".$nameColumn.", ";
	     			} else {
	     				$querySelect2_1 = $querySelect2_1." DECODE(NVL(RT.".$researchTreatment[1].",'ISRELACIONAMENTO'),'ISRELACIONAMENTO',RT.".$pktable.",0) ".$pktable.", ";
	     			}
	     		} else {
	     			$querySelect2 = $querySelect2." RT.".$nameColumn." AS ".$nameColumn.", ";	     			
	     		}
	     		$querySelect3 = $querySelect3." RELC.".$nameColumn." AS ".$nameColumn.", ";
	     	}
	     	
	     	$queryFilter = $queryFilter.$querySelect1."DECODE(NVL(RELT.CDLOJA,'ISRELACIONAMENTO'),'ISRELACIONAMENTO','S','N') ALREADYSAVE, RELT.CDFILIAL AS CDFILIAL, '' AS CDLOJA, ";
	     	if ($researchTreatment != []){
	     		$queryFilter = $queryFilter."'' AS ".$researchTreatment[1].", F.CDFILIAL AS PRIMARY, '' AS PARENTT, 'Filial: ' ||F.CDFILIAL ||' - ' ||F.NMFILIAL AS FILILOJAP, F.NRORG FROM FILIAL F JOIN ";
	     	}
	     	else {
	     		$queryFilter = $queryFilter."F.CDFILIAL AS PRIMARY, '' AS PARENTT, 'Filial: ' ||F.CDFILIAL ||' - ' ||F.NMFILIAL AS FILILOJAP, F.NRORG FROM FILIAL F JOIN ";
	     	}

	     	$queryFilter = $queryFilter.$tableName." RELT ON RELT.CDFILIAL = F.CDFILIAL AND RELT.NRORG = F.NRORG WHERE ";
	     	foreach ($whereQuery as $whereColumn) {
	     		$queryFilter = $queryFilter."RELT.".$whereColumn['NAME']." = ".$whereColumn['VALUE']." AND ";
	     	}
	     	$queryFilter = $queryFilter."RELT.IDATIVO = 'S' AND F.IDATIVO = 'S' UNION SELECT DISTINCT";
	     	if ($researchTreatment != []){
	     		$queryFilter = $queryFilter.$querySelect2_1."DECODE(NVL(RT.".$researchTreatment[1].",'ISRELACIONAMENTO'),'ISRELACIONAMENTO','S','N') ALREADYSAVE, ";
	     	} else {
	     		$queryFilter = $queryFilter.$querySelect2."'S' AS ALREADYSAVE, ";
	     	}
	        if ($researchTreatment != []){
	        	$queryFilter = $queryFilter."RT.CDFILIAL AS CDFILIAL, RT.CDLOJA AS CDLOJA, '' AS ".$researchTreatment[1].", L.CDFILIAL ||'_' ||L.CDLOJA AS PRIMARY, L.CDFILIAL AS PARENTT, 'Loja: ' ||L.CDLOJA ||' - ' ||L.NMLOJA AS FILILOJAP, L.NRORG FROM LOJA L JOIN FILIAL FL ON L.CDFILIAL = FL.CDFILIAL AND L.NRORG = FL.NRORG AND FL.IDATIVO = 'S' JOIN ";
	     	} else {
	        	$queryFilter = $queryFilter."RT.CDFILIAL AS CDFILIAL, RT.CDLOJA AS CDLOJA, L.CDFILIAL ||'_' ||L.CDLOJA AS PRIMARY, L.CDFILIAL AS PARENTT, 'Loja: ' ||L.CDLOJA ||' - ' ||L.NMLOJA AS FILILOJAP, L.NRORG FROM LOJA L JOIN FILIAL FL ON L.CDFILIAL = FL.CDFILIAL AND L.NRORG = FL.NRORG AND FL.IDATIVO = 'S' JOIN ";
	     	}
	     	$queryFilter = $queryFilter.$tableName." RT ON RT.CDFILIAL = L.CDFILIAL AND RT.CDLOJA = L.CDLOJA AND RT.NRORG = L.NRORG WHERE ";
	     	foreach ($whereQuery as $whereColumn) {
	     		$queryFilter = $queryFilter."RT.".$whereColumn['NAME']." = ".$whereColumn['VALUE']." AND ";
	     	}
	     	$queryFilter = $queryFilter."RT.IDATIVO = 'S' AND L.IDATIVO = 'S' ";
	     	
	     	if ($researchTreatment != []){
	     		$pkTableUnion = explode('CD', $researchTreatment[1]);
	     		$queryFilter = $queryFilter."UNION SELECT ".$querySelect3."'S' AS ALREADYSAVE, RELC.CDFILIAL AS CDFILIAL, RELC.CDLOJA AS CDLOJA, RELC.".$researchTreatment[1]." AS ".$researchTreatment[1].", C.CDFILIAL ||'_' ||C.CDLOJA ||'_' ||C.".$researchTreatment[1]." AS PRIMARY, C.CDFILIAL || '_' || C.CDLOJA AS PARENTT, 'PDV: ' ||C.".$researchTreatment[1]." ||' - ' ||C.NM".$pkTableUnion[1]." AS FILILOJAP, C.NRORG FROM ".$researchTreatment[0]." C JOIN LOJA LJ ON LJ.CDLOJA = C.CDLOJA AND LJ.IDATIVO = 'S' AND LJ.NRORG = C.NRORG JOIN FILIAL FLC ON C.CDFILIAL = FLC.CDFILIAL AND C.NRORG = FLC.NRORG AND FLC.IDATIVO = 'S' JOIN ".$tableName." RELC ON RELC.CDFILIAL = C.CDFILIAL AND RELC.CDLOJA = C.CDLOJA AND RELC.".$researchTreatment[1]." = C.".$researchTreatment[1]." AND RELC.NRORG = C.NRORG WHERE ";
	     		
	     		foreach ($whereQuery as $whereColumn) {
	     			$queryFilter = $queryFilter."RELC.".$whereColumn['NAME']." = ".$whereColumn['VALUE']." AND ";
	     		}
	     		$queryFilter = $queryFilter."RELC.IDATIVO = 'S' AND C.IDATIVO = 'S' ";
	     	}
	     	$queryFilter = $queryFilter."ORDER BY PRIMARY";
	     	
	     	// query montada
	     	return $queryFilter;
		}
		elseif ($object['TYPE'] == "DELETE") {
			$tableName = $object['TABLE'];	
			$pktable = $object['PKTABLE'];
			$rows = $object['ROWTODELETE'];
			$toUpdate = $object['UPDATE'];
			$queryToDelete = array();
			$count = count($pktable);

			// monta a query a partir das $rows 
			foreach ($rows as $row) {
				$query = "UPDATE ".$tableName." SET ";
				foreach ($toUpdate as $key => $value) {
					$query = $query.$key." = '".$value."', ";
				}
				$query = $query."DTULTATU = SYSDATE WHERE ";

				foreach ($pktable as $pk) {
					$b = 1;
					$query = $query.$pk." = '".$row[$pk]."'";
					if ($b != $count){
						$query = $query." AND ";
					}
					$b++;
				}
				array_push($queryToDelete, $query);
			}
			return $queryToDelete;
		}
		elseif ($object['TYPE'] == "SELECT"){
			$row = $object['ROW'];
            $piecesOf = explode("_", $row['TOSAVE']['PRIMARY']);
            $query = "";   
            $toRel = $row['TABLETOREL'];
            switch (count($piecesOf)) {
                case 1:
                    if ($row['DIFFERENT']){
                        $query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.".$toRel[1]." = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA IS NULL AND TB.".$row['TOSAVE']['CDDIFFERENT']." IS NULL AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";                    
                    }else {
                    	if ($toRel[0] == "TABEPREC"){
                    		$query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.CDTABPREC = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA IS NULL AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";
                    	}else {
                        	$query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.".$toRel[1]." = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA IS NULL AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";                    
						}
                    }
                    break;
                
                case 2:
                    if ($row['DIFFERENT']){
                        $query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.".$toRel[1]." = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA = ".$piecesOf[1]." AND TB.".$row['TOSAVE']['CDDIFFERENT']." IS NULL AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";                    
                    }else {
                    	if ($toRel[0] == "TABEPREC"){
                    		$query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.CDTABPREC = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA = ".$piecesOf[1]." AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";
                    	}else {
                        	$query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.".$toRel[1]." = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA = ".$piecesOf[1]." AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";                    
                    	}
                    }
                    break;

                case 3:
                    $query = "SELECT * FROM ".$row['TABLE']." TB JOIN ".$toRel[0]." TL ON TB.NRORG = TL.NRORG AND TL.IDATIVO = 'S' AND TB.".$toRel[1]." = TL.".$toRel[1]." WHERE TB.CDFILIAL = ".$piecesOf[0]." AND TB.CDLOJA = ".$piecesOf[1]." AND TB.".$row['TOSAVE']['CDDIFFERENT']." = ".$piecesOf[2]." AND TB.NRORG = ".$row['NRORG']." AND TB.IDATIVO = 'S'";                    
                    break;
            }
            return $query;
		}
	}
}


