<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class RelAuditoriaLancMesaService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function find($conditions) {
        
        $params = array(
         	":CDFILIAL"       => $conditions['CDFILIAL'],
         	":TCDFILIAL"      => $conditions['TCDFILIAL'],
         	":CDLOJA"         => $conditions['CDLOJA'],
         	":TCDLOJA"        => $conditions['TCDLOJA'],
         	":CDVENDEDOR"     => $conditions['CDVENDEDOR'],
         	":TCDVENDEDOR"    => $conditions['TCDVENDEDOR'],
         	":NRMESA"         => $conditions['NRMESA'],
         	":TNRMESA"        => $conditions['TNRMESA'],
            ":DTINI"          => $conditions['DTINI'],
            ":DTFIN"          => $conditions['DTFIN'],
            ":STATUS"         => $conditions['TPSTATUS'],
         	":NRORG"          => $conditions['NRORG']
 		    );
        return $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_REL_AUD_ITEM, $params);
    }

}