<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\Libs\Util\NewCode;
use Teknisa\MAN\Utilities;


class RelPrestacaoContaService {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }

    public function buildParams($conditions){
        $queryParams = array(
            "DTINI"    => $conditions["DTENTRVENDA"]["start"],
            "DTFIN"    => $conditions["DTENTRVENDA"]["end"],
            "CDFILIAL" => $conditions["CDFILIAL"],
            "NRORG"    => $conditions["NRORG"]
        );
        $reportName = 'prestacaoContas';
        $params = array(
            'ParametersRow' => $queryParams,
            'ReportName'    => $reportName
        );
        return $params;
    }
   
}